# RPM specfile for the TapeBackup package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)TapeBackup.spec	1.12 07/30/10 00:11:10
# Note that the version number (1.12 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name TapeBackup
%define version 1.12
%define release 1.1

Summary: Backup directories to tape, with a tape label.
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/TapeBackup-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
BuildArchitectures: noarch


License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils mailx gawk sed findutils util-linux hdparm mt-st tar
%else
Requires: pdksh coreutils mailx gawk sed findutils util-linux hdparm mt-st tar
%endif
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
Write a tar backup to a SCSI/DAT tape.
Creates a tape label with the system disk partitioning and installed packages.
Generates a log file.
Designed to be run from cron.
%prep
%setup -q

%build
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/TapeBackup
%doc README Contributors License Hacks
%{_mandir}/man*/TapeBackup.*

%changelog
* Thu Jul 29 2010 Alain Williams <addw@phcomp.co.uk>
- Tweak messages, add license info to program.
* Wed Jul 28 2010 Alain Williams <addw@phcomp.co.uk>
- Put to the log file and tape label instructions on how to restore from the tape, also document.
* Fri Apr 02 2010 Alain Williams <addw@phcomp.co.uk>
- Do a tape status at the very start, show up some errors.
* Fri Jul 24 2009 Alain Williams <addw@phcomp.co.uk>
- Implement new options: -l -a -t
  Allow things like 'home/[a-m]*' as file patterns.
* Thu Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First time into RPM
